Name:           usbview
Version:        1.1
Release:        7%{?dist}
Summary:        USB topology and device viewer

Group:          Applications/System
License:        GPLv2
URL:            http://www.kroah.com/linux-usb/
Source0:        http://www.kroah.com/linux-usb/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel

Source1:        %{name}_icon.png
Source2:        %{name}.desktop


BuildRequires:  desktop-file-utils


%description
Display information about the topology of the devices connected to the USB bus
on a Linux machine. It also displays detailed information on the individual
devices.

%prep
%setup -q
# Convert to utf-8
for file in ChangeLog; do
    iconv -f ISO-8859-1 -t UTF-8 -o $file.new $file && \
    touch -r $file $file.new && \
    mv $file.new $file
done

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

#install desktop icon
install -Dp -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}_icon.png

#install desktop file
desktop-file-install                                    \
--vendor fedora                                         \
--add-category="System"                                 \
--dir=$RPM_BUILD_ROOT%{_datadir}/applications           \
%{SOURCE2}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING* README TODO
%{_bindir}/usbview
%{_mandir}/man8/usbview*
%{_datadir}/pixmaps/%{name}_icon.png
%{_datadir}/applications/fedora-%{name}.desktop

%changelog
* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 1.1-6
- Rebuild for new libpng

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 15 2009 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 1.1-4
- include --vendor fedora in desktop-file-install (required for EL-5)

* Fri Dec 11 2009 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 1.1-3
- increasy usage of macros, fix icon permission

* Fri Dec 11 2009 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 1.1-2
- install desktop icon

* Sun Nov 29 2009 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 1.1-1
- Initial RPM for fedora

